> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Email

> POST /emailMessages

`POST /emailMessages`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json POST /emailMessages`


## OpenAPI

````yaml /openapi/crm.json POST /emailMessages
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /emailMessages:
    post:
      tags:
        - Email Messages
      summary: Create Email
      operationId: post_emailmessages
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                personId:
                  type: string
                userId:
                  type: string
                subject:
                  type: string
                body:
                  type: string
                sender:
                  type: object
                  properties:
                    name:
                      type: string
                    email:
                      anyOf:
                        - type: string
                      nullable: true
                  required:
                    - name
                    - email
                recipients:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                threadId:
                  type: string
              required:
                - subject
                - body
                - sender
                - recipients
          multipart/form-data:
            schema:
              type: object
              properties:
                personId:
                  type: string
                userId:
                  type: string
                subject:
                  type: string
                body:
                  type: string
                sender:
                  type: object
                  properties:
                    name:
                      type: string
                    email:
                      anyOf:
                        - type: string
                      nullable: true
                  required:
                    - name
                    - email
                recipients:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                threadId:
                  type: string
              required:
                - subject
                - body
                - sender
                - recipients
          text/plain:
            schema:
              type: object
              properties:
                personId:
                  type: string
                userId:
                  type: string
                subject:
                  type: string
                body:
                  type: string
                sender:
                  type: object
                  properties:
                    name:
                      type: string
                    email:
                      anyOf:
                        - type: string
                      nullable: true
                  required:
                    - name
                    - email
                recipients:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                threadId:
                  type: string
              required:
                - subject
                - body
                - sender
                - recipients
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  threadId:
                    anyOf:
                      - type: string
                    nullable: true
                  subject:
                    type: string
                  body:
                    type: string
                  sender:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        email:
                          anyOf:
                            - type: string
                          nullable: true
                      required:
                        - name
                        - email
                  isRead:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isStarred:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isIncoming:
                    anyOf:
                      - type: boolean
                    nullable: true
                  sent:
                    anyOf:
                      - type: string
                    nullable: true
                  received:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - threadId
                  - subject
                  - body
                  - sender
                  - recipients
                  - isRead
                  - isStarred
                  - isIncoming
                  - sent
                  - received
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  threadId:
                    anyOf:
                      - type: string
                    nullable: true
                  subject:
                    type: string
                  body:
                    type: string
                  sender:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        email:
                          anyOf:
                            - type: string
                          nullable: true
                      required:
                        - name
                        - email
                  isRead:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isStarred:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isIncoming:
                    anyOf:
                      - type: boolean
                    nullable: true
                  sent:
                    anyOf:
                      - type: string
                    nullable: true
                  received:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - threadId
                  - subject
                  - body
                  - sender
                  - recipients
                  - isRead
                  - isStarred
                  - isIncoming
                  - sent
                  - received
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  threadId:
                    anyOf:
                      - type: string
                    nullable: true
                  subject:
                    type: string
                  body:
                    type: string
                  sender:
                    type: object
                    properties:
                      name:
                        type: string
                      email:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - name
                      - email
                  recipients:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        email:
                          anyOf:
                            - type: string
                          nullable: true
                      required:
                        - name
                        - email
                  isRead:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isStarred:
                    anyOf:
                      - type: boolean
                    nullable: true
                  isIncoming:
                    anyOf:
                      - type: boolean
                    nullable: true
                  sent:
                    anyOf:
                      - type: string
                    nullable: true
                  received:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - userId
                  - threadId
                  - subject
                  - body
                  - sender
                  - recipients
                  - isRead
                  - isStarred
                  - isIncoming
                  - sent
                  - received
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````